;; utf8.xdy
;;
;; Copyright (c) 2014 Akira Kakuto <kakuto@fuk.kindai.ac.jp>
;;
;; This work may be distributed and/or modified under the
;; conditions of the LaTeX Project Public License, either version 1.3c
;; of this license or (at your option) any later version.
;; The latest version of this license is in
;; http://www.latex-project.org/lppl.txt
;; and version 1.3c or later is part of all distributions of LaTeX
;; version 2006/05/20 or later.
;;
;; Xindy module for japanese characters
;;
;; Letter-groups. 
;;
;; Index terms should contain 'yomi' by 'hirakana' like
;; \index{こくさいほう@国際法}, \index{ぱっけーじ＠パッケージ}
;;
(define-letter-groups
    ("あ" "い" "う" "え" "お" "か" "き" "く" "け" "こ"
     "さ" "し" "す" "せ" "そ" "た" "ち" "つ" "て" "と"
     "な" "に" "ぬ" "ね" "の" "は" "ひ" "ふ" "へ" "ほ"
     "ま" "み" "む" "め" "も" "や" "ゆ" "よ" "ら" "り"
     "る" "れ" "ろ" "わ" "を" "ん"))

;;
;; The sort-rules.
;;
(sort-rule "が" "か")
(sort-rule "ぎ" "き")
(sort-rule "ぐ" "く")
(sort-rule "げ" "け")
(sort-rule "ご" "こ")
(sort-rule "ざ" "さ")
(sort-rule "じ" "し")
(sort-rule "ず" "す")
(sort-rule "ぜ" "せ")
(sort-rule "ぞ" "そ")
(sort-rule "だ" "た")
(sort-rule "ぢ" "ち")
(sort-rule "づ" "つ")
(sort-rule "っ" "づ")
(sort-rule "で" "て")
(sort-rule "ど" "と")
(sort-rule "ば" "は")
(sort-rule "ぱ" "ば")
(sort-rule "び" "ひ")
(sort-rule "ぴ" "び")
(sort-rule "ぶ" "ふ")
(sort-rule "ぷ" "ぶ")
(sort-rule "べ" "へ")
(sort-rule "ぺ" "べ")
(sort-rule "ぼ" "ほ")
(sort-rule "ぽ" "ぼ")
(sort-rule "ゃ" "や")
(sort-rule "ゅ" "ゆ")
(sort-rule "ょ" "よ")

;;
;; merge rules
;;

(merge-rule "　" "")
(merge-rule "ー" "")
(merge-rule "ゝ" "")
(merge-rule "ゐ" "い")
(merge-rule "ゑ" "え")
(merge-rule "ゔ" "う")
(merge-rule "が" "か")
(merge-rule "ぎ" "き")
(merge-rule "ぐ" "く")
(merge-rule "げ" "け")
(merge-rule "ご" "こ")
(merge-rule "ざ" "さ")
(merge-rule "じ" "し")
(merge-rule "ず" "す")
(merge-rule "ぜ" "せ")
(merge-rule "ぞ" "そ")
(merge-rule "だ" "た")
(merge-rule "ぢ" "ち")
(merge-rule "づ" "つ")
(merge-rule "で" "て")
(merge-rule "ど" "と")
(merge-rule "ば" "は")
(merge-rule "ぱ" "は")
(merge-rule "び" "ひ")
(merge-rule "ぴ" "ひ")
(merge-rule "ぶ" "ふ")
(merge-rule "ぷ" "ふ")
(merge-rule "べ" "へ")
(merge-rule "ぺ" "へ")
(merge-rule "ぼ" "ほ")
(merge-rule "ぽ" "ほ")
(merge-rule "っ" "つ")
(merge-rule "ゃ" "や")
(merge-rule "ゅ" "ゆ")
(merge-rule "ょ" "よ")

;; End:
